<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhkjedu.sapi.mapper.system.PictureMapper">
    <!--管理列表-->
    <select id="listAll" resultType="java.util.Map">
        select picid,pictype,picurl,picsize,suffix,p.createtime,u.username
        from t_picture p left join t_user u on p.createid=u.userid
        <where>
            <if test="picture.pictype!=null and picture.pictype!=0">
                and pictype=#{picture.pictype}
            </if>
        </where>
        order by picid desc
    </select>
    <!--选择列表-->
    <select id="listForSel" resultType="java.util.Map">
        select picurl from t_picture where pictype=#{pictype} order by picid desc
    </select>
</mapper>
